%define name le
%define version 1.5.7
%define release 2mdk

Summary: This is terminal text editor LE.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Editors
Source: %{name}-%{version}.tar.bz2
Packager: Peter Soos <sp@osb.hu>
BuildRoot: /var/tmp/%{name}-buildroot

%description
LE has many block operations with stream and rectangular blocks, can edit both unix and dos style files (LF/CRLF), is binary clean, has hex mode, tunable syntax highlighting, tunable color scheme, tunable key map.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
./configure --prefix=/usr --with-regex

if [ -x /usr/bin/getconf ] ; then
    NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
    if [ $NRPROC -eq 0 ] ; then
        NRPROC=1
    fi
else
    NRPROC=1
fi 

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

make -j$NRPROC 

%install
rm -rf $RPM_BUILD_ROOT
make "prefix=$RPM_BUILD_ROOT/usr" install
strip $RPM_BUILD_ROOT/usr/bin/le

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FEATURES HISTORY NEWS README 
/usr/bin/le
/usr/man/man1/*
/usr/share/le

%changelog
* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.5.7-2mdk
- fix group

* Wed Mar 08 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
- v1.5.7 

* Thu Jul 01 1999 Peter Soos <sp@osb.hu>
- Moved to version 1.5.2
 
* Thu May 13 1999 Peter Soos <sp@osb.hu>
- Moved to version 1.5.1
- Corrected the file and directory attributes to rebuild the package
  under RedHat Linux 6.0
 
* Tue Feb 23 1999 Peter Soos <sp@osb.hu>
- Moved to version 1.5.0
 
* Fri Dec 25 1998 Peter Soos <sp@osb.hu>
- Corrected the file and directory attributes
- Recompiled under RedHat Linux 5.2
 
* Mon Jun 22 1998 Peter Soos <sp@osb.hu>
- Using %attr
 
* Thu Mar 18 1998 Peter Soos <sp@osb.hu>
- moved to 1.4.2
 
* Fri Dec 12 1997 Peter Soos <sp@osb.hu>
- moved to 1.4.1 from 1.4.0
 
* Sun Dec 7 1997 Peter Soos <sp@osb.hu>
- Recompiled under RedHat Linux 5.0
- Added BuildRoot   
